## org.apache.cassandra.db.migration
Class UpdateKeyspace

    java.lang.Object
      org.apache.cassandra.db.migration.Migration
          org.apache.cassandra.db.migration.UpdateKeyspace

    public class UpdateKeyspace

extends Migration

Licensed to the Apache Software Foundation (ASF) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership. The ASF licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

Field Summary

Fields inherited from class org.apache.cassandra.db.migration.Migration
`LAST_MIGRATION_KEY, lastVersion, logger, MIGRATIONS_CF, MIGRATIONS_KEY, NAME_VALIDATOR_REGEX, newVersion, rm, schema, SCHEMA_CF`

Constructor Summary
`protected` `UpdateKeyspace()` Required no-arg constructor
`` `UpdateKeyspace(KSMetaData ksm)` create migration based on thrift parameters

Method Summary
`void` `subdeflate(org.apache.cassandra.db.migration.avro.Migration mi)` Deflate this Migration into an Avro object.
`void` `subinflate(org.apache.cassandra.db.migration.avro.Migration mi)` Inflate this Migration from an Avro object: called after the required no-arg constructor.
`java.lang.String` `toString()`

Methods inherited from class org.apache.cassandra.db.migration.Migration
`announce, apply, deserialize, getLastMigrationId, getLocalMigrations, getVersion, isLegalName, passiveAnnounce, serialize, toUTF8Bytes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UpdateKeyspace

    protected UpdateKeyspace()

  Required no-arg constructor

### UpdateKeyspace

    public UpdateKeyspace(KSMetaData ksm)
                   throws ConfigurationException,
                          java.io.IOException

  create migration based on thrift parameters

  Throws:
    `ConfigurationException`
    `java.io.IOException`

Method Detail

### subdeflate

    public void subdeflate(org.apache.cassandra.db.migration.avro.Migration mi)

  Description copied from class: `Migration`
  Deflate this Migration into an Avro object.

  Specified by:
    `subdeflate` in class `Migration`

### subinflate

    public void subinflate(org.apache.cassandra.db.migration.avro.Migration mi)

  Description copied from class: `Migration`
  Inflate this Migration from an Avro object: called after the required no-arg constructor.

  Specified by:
    `subinflate` in class `Migration`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2012 The Apache Software Foundation